
package com.tmerclub.cloud.api.user.bo;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/12/22
 */
public class UserScoreBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userId;

    private Integer payType;

    private List<Long> orderIds;

    /**
     * 是否解锁积分
     */
    private Boolean isUnLock;

    /**
     * 判断是否取消订单
     */
    private Boolean flag;

    public Boolean getFlag() {
        return flag;
    }

    public void setFlag(Boolean flag) {
        this.flag = flag;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public List<Long> getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(List<Long> orderIds) {
        this.orderIds = orderIds;
    }

    public Boolean getUnLock() {
        return isUnLock;
    }

    public void setUnLock(Boolean unLock) {
        isUnLock = unLock;
    }

    @Override
    public String toString() {
        return "UserScoreBO{" +
                "userId=" + userId +
                ", payType=" + payType +
                ", orderIds=" + orderIds +
                ", isUnLock=" + isUnLock +
                ", flag=" + flag +
                '}';
    }
}
